%define	name	gnickr
%define version	0.0.3
%define release	%mkrel 2
%define pyver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Name:		%name
Version:	%version
Release:	%release
Summary:	Flickr virtual filesystem
Url:		http://gnickr.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnome-python >= 2.12.3 python-imaging autoconf2.5
Requires:	gnome-python >= 2.12.3 python-imaging gnome-python-gnomevfs
BuildArch:	noarch

%description
Gnickr allows you to manage photos on your Flickr site as if they were local
files on your Gnome desktop.
It does this by creating a Flickr virtual filesystem.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/gnome-vfs-2.0/modules/flickr.conf
%_bindir/*
%_libdir/gnome-vfs-2.0/modules/*
%_libdir/python%pyver/site-packages/*

%changelog
* Sat Feb 04 2006 Pascal Terjan <pterjan@mandriva.com> 0.0.3-2mdk
- BuildRequires python-imaging
- Use autoconf 2.5

* Thu Jan 05 2006 Pascal Terjan <pterjan@mandriva.com> 0.0.3-1mdk
- initial package
